///////////////////////////////////////////
// *** Th3K1ll3r's Common Shader File ***
///////////////////////////////////////////


//--------------------------
// * Common Textures *
//--------------------------

textures/common/caulk
{
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
}

textures/common/caulk_hollow
{
    qer_editorImage "textures/common/caulk.tga"
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm nonsolid
}

textures/common/watercaulk
{
    qer_trans 0.40
    qer_editorimage "textures/common/watercaulk.tga"
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
}

textures/common/cushion
{
    qer_nocarve
    qer_trans 0.50
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm trans
    surfaceparm detail
}

textures/common/hint
{
    qer_nocarve
    qer_trans 0.30
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm trans
    surfaceparm hint
    surfaceparm structural
}

textures/common/invisible
{
    surfaceparm nolightmap          
    {
        map "textures/common/invisible.tga"
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/common/ladder
{
    qer_editorimage "textures/common/ladder.tga"
    qer_trans 0.40
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm trans
    surfaceparm ladder
    surfaceparm detail
}

textures/common/nodraw
{
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm trans
}

textures/common/slick
{
    qer_trans 0.50
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm playerclip
    surfaceparm slick
    surfaceparm detail
}

textures/common/trigger
{
    qer_trans 0.5
    qer_nocarve
    surfaceparm nodraw
    surfaceparm detail
}


//--------------------------
// * Mirror Texture *
//--------------------------

textures/common/qer_mirror
{
    qer_editorImage "textures/common/qer_mirror.tga"
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    {
        map "textures/common/mirror/mirror.tga"
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map "textures/common/mirror/tint.jpg"
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}
